default_language_version:
    python: python3
repos:
-   repo: https://github.com/ambv/black
    rev: 22.6.0
    hooks:
    - id: black
      language_version: python3.8
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.3.0
    hooks:
    -   id: check-merge-conflict # prevent committing files with merge conflicts
    -   id: flake8 # checks for flake8 errors
-   repo: https://github.com/codespell-project/codespell
    rev: v2.1.0
    hooks:
    -   id: codespell # Spellchecker
        args: [-L, nd, --skip, "*.html", --ignore-words=.dictionary.txt]
-   repo: https://github.com/asottile/seed-isort-config
    rev: v2.2.0
    hooks:
    -   id: seed-isort-config
        args: [--application-directories, 'parallel_bilby, tests']
-   repo: https://github.com/pre-commit/mirrors-isort
    rev: v5.10.1
    hooks:
    -   id: isort # sort imports alphabetically and separates import into sections
        args: [-w=88, -m=3, -tc, -sp=setup.cfg ]
-   repo: local
    hooks:
    -   id: flynt # convert old .format(...) strings into "f-strings"
        name: flynt
        entry: flynt
        args: [--fail-on-change]
        types: [python]
        language: python
        additional_dependencies:
            - flynt
